# norootforbuild
%define pkg_name    pdo_dblib

Name: php5-pdo_dblib
Version: 5.3.5
Release: 11.1
License: PHP 
Group: Productivity/Networking/Web/Servers
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildRequires: php5-devel file-devel freetds-devel php5-pdo
URL: http://www.php.net
Source: php5-%{pkg_name}-%{version}.tar.gz
Patch1: pdo_dblib.configure.diff  
Summary: PHP pdo_dblib bindings
%requires_eq php5

%description

MSSQL binding for PHP5

%debug_package
%prep

%setup -q -n php5-%{pkg_name}-%{version}

%{__mkdir} %{name}

%build
/usr/bin/phpize
patch -p0 < %{PATCH1}
pushd %{name}

CFLAGS="%{optflags} -fno-strict-aliasing"
CXXFLAGS="%{optflags} -fno-strict-aliasing"

%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
CXXFLAGS="$CXXFLAGS -fno-strict-aliasing"
%endif

export CFLAGS
export CXXFLAGS
export LDFLAGS="-Wl,--as-needed"

../configure --with-libdir=%{_lib} 

%{__make} %{?jobs:-j%jobs}

popd

%install

%makeinstall -C %{name} INSTALL_ROOT=%{buildroot}

%{__mkdir_p} %{buildroot}%{_sysconfdir}/php5/conf.d

echo "extension= pdo_dblib.so" >> %{buildroot}%{_sysconfdir}/php5/conf.d/pdo_dblib.ini

%clean

%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/php5/extensions/%{pkg_name}.so
%config(noreplace) %{_sysconfdir}/php5/conf.d/%{pkg_name}.ini

%doc CREDITS 

%changelog

